net.corda.node.services.transactions

## Class BFTValidatingNotaryService

- SingletonSerializeAsToken
- - NotaryService
  - - net.corda.node.services.transactions.BFTValidatingNotaryService

- All Implemented Interfaces:
    SerializeAsToken

      public class BFTValidatingNotaryService
      extends NotaryService

  A validating notary service operated by a group of parties that don't necessarily trust each other.

  To validate a transaction, this service collects proofs that the transaction has been validated and committed by a specified number of notary nodes.

  Based on the bft-smart library.

  See Also:
    bft-smart library

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BFTValidatingNotaryService.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BFTValidatingNotaryService.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BFTValidatingNotaryService(ServiceHubInternal services, TimestampChecker timestampChecker, BFTSmartUniquenessProvider uniquenessProvider)` A validating notary service operated by a group of parties that don't necessarily trust each other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatingNotaryFlow` | `createFlow(Party otherParty)` Implement a factory that specifies the transaction commit flow for the notary service to use
    `TimestampChecker` | `getTimestampChecker()`
    `BFTSmartUniquenessProvider` | `getUniquenessProvider()`

    - ### Methods inherited from class net.corda.node.services.transactions.NotaryService

      `createFlow`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static BFTValidatingNotaryService.Companion Companion

  - ### Constructor Detail

    - #### BFTValidatingNotaryService

          public BFTValidatingNotaryService(ServiceHubInternal services,
                                            TimestampChecker timestampChecker,
                                            BFTSmartUniquenessProvider uniquenessProvider)

      A validating notary service operated by a group of parties that don't necessarily trust each other.

      To validate a transaction, this service collects proofs that the transaction has been validated and committed by a specified number of notary nodes.

      Based on the bft-smart library.

      See Also:
        bft-smart library

  - ### Method Detail

    - #### createFlow

          public ValidatingNotaryFlow createFlow(Party otherParty)

      Implement a factory that specifies the transaction commit flow for the notary service to use

    - #### getTimestampChecker

          public TimestampChecker getTimestampChecker()

    - #### getUniquenessProvider

          public BFTSmartUniquenessProvider getUniquenessProvider()